<!--Warning : keyValues is mandatory for this demonstration -->

<!DOCTYPE html>
<html>

<head>
  <title>Demonstration FIWARE contextBroker</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
  <meta charset="utf-8">
  <style>
    #map {
      height: 100%;
    }


    html,
    body {
      height: 100%;
      margin: 0;
      padding: 0;
    }

    .gm-style-iw {
      height: 100px;
      width: 600px;
    }
  </style>
  <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.2.4.min.js"></script>
</head>

<body>
  <div id="map"></div>
  <script>

    var cburl = "http://fiware-host:1026/v2/entities" + window.location.search;
    $(function () {
      $.ajax({
        cache: false,
        type: "GET",
        url: cburl,
        data: {},
        success: function (data) {
          data.forEach(elem => {
            console.log(elem);
            var latlong = elem.location.split(',');
            var iconimg = {
              url: elem.icon,
              scaledSize: new google.maps.Size(30, 30),
              origin: new google.maps.Point(0, 0),
              anchor: new google.maps.Point(0, 0)
            };
            var marker = new google.maps.Marker({
              position: new google.maps.LatLng(latlong[0], latlong[1]),
              icon: iconimg,
              map: map,
              title: decodeURIComponent(elem.name)
            });
            var contentString = JSON.stringify(elem)
            
            var infowindow = new google.maps.InfoWindow({
              content: contentString,
              maxWidth: 500,
              Height: 1000
            });
            marker.addListener('click', function () {
              infowindow.open(map, marker);
            });
          });


        },
        error: function (xhr, ajaxOptions, thrownError) {
          console.log('Failed to retrieve context data.');
        }

      });


    });




    var map;

    function initMap() {
      map = new google.maps.Map(document.getElementById('map'), {
        center: new google.maps.LatLng(0, 0),
        zoom: 2,
        mapTypeId: 'hybrid',
      });
    }
  </script>
  <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCDWZY5hWtpdvGMBqxAl1YCdybvTe3Ke4Y&callback=initMap">
  </script>
</body>

</html>